> For the complete documentation index, see [llms.txt](https://developer.vario-software.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.vario-software.de/api-reference/picklisten-vorlagen.md).

# Picklisten Vorlagen

Manage picklist templates, order selection, picking types, processing options, and warehouse picking workflows with the VARIO Cloud REST API.

Picklist templates.

## GET /wms/picklist-templates/{id}

> Find an existing Resource by identifier

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Picklisten-Vorlagen","description":"Picklist templates."}],"servers":[{"url":"api.example.com"}],"paths":{"/wms/picklist-templates/{id}":{"get":{"tags":["Picklisten-Vorlagen"],"summary":"Find an existing Resource by identifier","operationId":"getById_4","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate"}}}},"404":{"description":"Resource with given ID was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-wms-PicklistTemplate":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"picklistCreationOptions":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate.PicklistCreationOptions"},"orderSelectionOptions":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate.OrderSelectionOptions"},"picklistProcessingOptions":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate.PicklistProcessingOptions"},"label":{"type":"string","description":"Template name.","minLength":1},"description":{"type":"string","description":"Template description."},"pickingType":{"type":"string","description":"Picking type.","enum":["FAST_ORDER_PICKING","SINGLE_ORDER_PICKING","COLLECTIVE_ORDER_PICKING","ROLLING_ORDER_PICKING","CONSOLIDATION","REPLENISHMENT","FABRICATION","MISSING_GOODS_PICKING","INCORRECTLY_PICKED_GOODS"]},"defaultTemplate":{"type":"boolean","default":false,"description":"Is this a default template?"},"active":{"type":"boolean","default":true,"description":"Is Template active?","readOnly":true},"picklistScripts":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate.PicklistScript"},"description":"Scripts for creating and processing picklists."}},"required":["label","pickingType"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"erp-wms-PicklistTemplate.PicklistCreationOptions":{"description":"Options for creating picklists.","properties":{"sortByRoutePosition":{"type":"boolean","default":true,"description":"Sort the picklist lines by route position."},"maxPicklistLineCount":{"type":"integer","format":"int64","description":"Maximum number of picklist lines."},"maxQuantityOfOrderLineForFastOrderPicking":{"type":"integer","format":"int64","default":1,"description":"Maximum order line quantity for quick-picking picklists."},"orderPickingTrolleyRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"orderPickingTrolleyGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"useAllAvailOrderPickingTrolleys":{"type":"boolean","default":false,"description":"Should all available pick trolleys be used?"},"cycleToCreatePicklistsCronExpression":{"type":"string","description":"Cycle for creating picklists (for background jobs, as a Quartz cron expression) (https://www.freeformatter.com/cron-expression-generator-quartz.html)."},"specifyStorageBins":{"type":"boolean","default":true,"description":"Predefine the storage bins."},"specifySerialWithOldestExpiryDate":{"type":"boolean","default":false,"description":"For serial articles with an expiry or best-before date: predefine the oldest series in the picklist."},"firstCreateFastOrderPickingPicklists":{"type":"boolean","default":false,"description":"Should picklists for the quick picking be created first?"},"fastOrderPickingTemplateToUseRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"printPicklist":{"type":"boolean","default":false,"description":"Should the picklist be printed?"},"picklistOutputReportGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"printLabelsOnCreation":{"type":"boolean","default":false,"description":"Should the labels be printed automatically after the creation?"}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"erp-wms-PicklistTemplate.OrderSelectionOptions":{"description":"Options for selecting orders.","properties":{"maxOrderCount":{"type":"integer","format":"int64","description":"Only for single picking and consolidation: maximum number of orders to transfer."},"alternativeSelectionInVql":{"type":"string","description":"Alternative selection in VQL."},"additionalExistsStatementsInVql":{"type":"array","description":"Additional exists statements in VQL.","items":{"type":"string","description":"Additional exists statements in VQL."}},"deliveryMethodRefs":{"type":"array","description":"Valid delivery methods.","items":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"allowOnlyDefinedDeliveryMethods":{"type":"boolean","description":"May only valid delivery methods be used?"},"documentTypeRefs":{"type":"array","description":"Document types of the document category \"customer order\".","items":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"documentDateRange":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate.DateRange"},"deliveryDateRange":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate.DateRange"},"confirmedDeliveryDateRange":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate.DateRange"},"onlyFullDeliverableOrders":{"type":"boolean","default":false,"description":"Only fully deliverable orders."},"onlyFullDeliverableOrderLines":{"type":"boolean","default":false,"description":"Only fully deliverable lines."},"storageAreaRefs":{"type":"array","description":"Valid storage areas.","items":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"salesChannelId":{"type":"integer","format":"int64","description":"Identifier of the salesChannel considered in the selection."},"minArticleCountPerOrder":{"type":"integer","format":"int32","description":"Minimum number of articles per order."},"maxArticleCountPerOrder":{"type":"integer","format":"int32","description":"Maximum number of articles per order."},"maxShippingWeightPerOrder":{"type":"number","description":"Maximum shipping weight per order."},"maxTotalVolumePerOrderInCCM":{"type":"number","description":"Maximum total volume per order (in cubic centimeters)."},"maxOrderValue":{"type":"number","description":"Maximum order value."}}},"erp-wms-PicklistTemplate.DateRange":{"description":"Selection by a date range.","properties":{"from":{"type":"string","description":"Date from (optionally as a relative date)."},"to":{"type":"string","description":"Date to (optionally as a relative date)."},"allowEmpty":{"type":"boolean","default":true,"description":"The date range may be empty."}}},"erp-wms-PicklistTemplate.PicklistProcessingOptions":{"description":"Options for processing picklists.","properties":{"autoPrintDeliveryDocument":{"type":"boolean","default":false,"description":"Should the delivery documents be printed automatically after the picking is completed?"},"autoPrintShippingLabel":{"type":"boolean","default":false,"description":"Should the parcel labels be printed automatically after the picking is completed?"},"alwaysRequireScanOfStorageBin":{"type":"boolean","default":false,"description":"Storage bins must be recorded despite a predefined value."},"articleScanRequirement":{"type":"string","default":"FREE","description":"Recording condition for articles.","enum":["FREE","SCAN_ONCE","SCAN_ALWAYS"]},"autoDeterminationOfLots":{"type":"boolean","default":false,"description":"Confirm lots automatically when they are predefined or were already recorded during picking."},"hideTargetQuantityInViews":{"type":"boolean","default":false,"description":"Hide the target quantities in the dialogs?"},"allowPickingOfServiceArticles":{"type":"boolean","default":false,"description":"Should services be picked?"},"allowPickingOfNonInventoryManagedArticles":{"type":"boolean","default":false,"description":"Should articles without stock management be picked?"},"allowFullConfirmation":{"type":"boolean","default":false,"description":"Allow collective confirmation."},"deviatingQuantity":{"type":"string","description":"Picking of deviating quantities.","enum":["ALLOW_ONLY_ORDERED_QUANTITY","ALLOW_MINOR_QUANTITY","ALLOW_OVER_DELIVERY","ALLOW_DEVIATING_QUANTITY"]},"assemblyGroupAtOnce":{"type":"boolean","default":false,"description":"Pick assemblies as a whole."},"alwaysShowDeliveryMethod":{"type":"boolean","default":true,"description":"Always show the delivery term in the dialogs."},"showShippingFormOnPickingFinish":{"type":"boolean","default":false,"description":"Show the shipping dialog on completion."},"autoPickingFinishAfterLastArticleInOrder":{"type":"boolean","default":false,"description":"Automatic completion after the last article of the current order."},"useDigitalPicklist":{"type":"boolean","default":false,"description":"Use the digital picklist: only the lines are shown in the frontend and confirmed by tapping or swiping."},"usePickNPack":{"type":"boolean","default":false,"description":"Use pick and pack."},"scanDeliveryDocumentAndShippingLabelOnFinish":{"type":"boolean","default":false,"description":"Only for consolidation: scan the delivery document and the shipping label to complete."},"scanPickTrolleyBoxToConfirmPickedArticle":{"type":"boolean","default":false,"description":"Rolling picking and consolidation: during picking the box has to be confirmed by scanning after an article is scanned."},"blockIfMaximumPackageWeightIsExceeded":{"type":"boolean","default":true,"description":"Block exceeding the maximum parcel weight?"},"useSalesUnit":{"type":"boolean","default":false,"description":"Use the sales unit as the default quantity."},"printLabelOnScan":{"type":"boolean","default":false,"description":"Should the labels be printed automatically during the recording?"},"printLabelOnCompleteOrder":{"type":"boolean","default":false,"description":"Should the labels be printed automatically when the order is completed?"},"printLabelAfterPicking":{"type":"boolean","default":false,"description":"Should the labels be printed automatically when the picking is completed?"},"allowSkipPosition":{"type":"boolean","default":false,"description":"Is skipping lines allowed?"}}},"erp-wms-PicklistTemplate.PicklistScript":{"description":"Picklist script.","properties":{"source":{"type":"string","description":"Script source code."},"active":{"type":"boolean","default":false,"description":"Is the script active?"}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}}}}}
```

## PUT /wms/picklist-templates/{id}

> Update existing Resource&#x20;

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Picklisten-Vorlagen","description":"Picklist templates."}],"servers":[{"url":"api.example.com"}],"paths":{"/wms/picklist-templates/{id}":{"put":{"tags":["Picklisten-Vorlagen"],"summary":"Update existing Resource ","operationId":"update_4","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate"}}}},"404":{"description":"Resource was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"422":{"description":"Resource was not valid to process","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-wms-PicklistTemplate":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"picklistCreationOptions":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate.PicklistCreationOptions"},"orderSelectionOptions":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate.OrderSelectionOptions"},"picklistProcessingOptions":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate.PicklistProcessingOptions"},"label":{"type":"string","description":"Template name.","minLength":1},"description":{"type":"string","description":"Template description."},"pickingType":{"type":"string","description":"Picking type.","enum":["FAST_ORDER_PICKING","SINGLE_ORDER_PICKING","COLLECTIVE_ORDER_PICKING","ROLLING_ORDER_PICKING","CONSOLIDATION","REPLENISHMENT","FABRICATION","MISSING_GOODS_PICKING","INCORRECTLY_PICKED_GOODS"]},"defaultTemplate":{"type":"boolean","default":false,"description":"Is this a default template?"},"active":{"type":"boolean","default":true,"description":"Is Template active?","readOnly":true},"picklistScripts":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate.PicklistScript"},"description":"Scripts for creating and processing picklists."}},"required":["label","pickingType"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"erp-wms-PicklistTemplate.PicklistCreationOptions":{"description":"Options for creating picklists.","properties":{"sortByRoutePosition":{"type":"boolean","default":true,"description":"Sort the picklist lines by route position."},"maxPicklistLineCount":{"type":"integer","format":"int64","description":"Maximum number of picklist lines."},"maxQuantityOfOrderLineForFastOrderPicking":{"type":"integer","format":"int64","default":1,"description":"Maximum order line quantity for quick-picking picklists."},"orderPickingTrolleyRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"orderPickingTrolleyGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"useAllAvailOrderPickingTrolleys":{"type":"boolean","default":false,"description":"Should all available pick trolleys be used?"},"cycleToCreatePicklistsCronExpression":{"type":"string","description":"Cycle for creating picklists (for background jobs, as a Quartz cron expression) (https://www.freeformatter.com/cron-expression-generator-quartz.html)."},"specifyStorageBins":{"type":"boolean","default":true,"description":"Predefine the storage bins."},"specifySerialWithOldestExpiryDate":{"type":"boolean","default":false,"description":"For serial articles with an expiry or best-before date: predefine the oldest series in the picklist."},"firstCreateFastOrderPickingPicklists":{"type":"boolean","default":false,"description":"Should picklists for the quick picking be created first?"},"fastOrderPickingTemplateToUseRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"printPicklist":{"type":"boolean","default":false,"description":"Should the picklist be printed?"},"picklistOutputReportGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"printLabelsOnCreation":{"type":"boolean","default":false,"description":"Should the labels be printed automatically after the creation?"}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"erp-wms-PicklistTemplate.OrderSelectionOptions":{"description":"Options for selecting orders.","properties":{"maxOrderCount":{"type":"integer","format":"int64","description":"Only for single picking and consolidation: maximum number of orders to transfer."},"alternativeSelectionInVql":{"type":"string","description":"Alternative selection in VQL."},"additionalExistsStatementsInVql":{"type":"array","description":"Additional exists statements in VQL.","items":{"type":"string","description":"Additional exists statements in VQL."}},"deliveryMethodRefs":{"type":"array","description":"Valid delivery methods.","items":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"allowOnlyDefinedDeliveryMethods":{"type":"boolean","description":"May only valid delivery methods be used?"},"documentTypeRefs":{"type":"array","description":"Document types of the document category \"customer order\".","items":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"documentDateRange":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate.DateRange"},"deliveryDateRange":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate.DateRange"},"confirmedDeliveryDateRange":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate.DateRange"},"onlyFullDeliverableOrders":{"type":"boolean","default":false,"description":"Only fully deliverable orders."},"onlyFullDeliverableOrderLines":{"type":"boolean","default":false,"description":"Only fully deliverable lines."},"storageAreaRefs":{"type":"array","description":"Valid storage areas.","items":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"salesChannelId":{"type":"integer","format":"int64","description":"Identifier of the salesChannel considered in the selection."},"minArticleCountPerOrder":{"type":"integer","format":"int32","description":"Minimum number of articles per order."},"maxArticleCountPerOrder":{"type":"integer","format":"int32","description":"Maximum number of articles per order."},"maxShippingWeightPerOrder":{"type":"number","description":"Maximum shipping weight per order."},"maxTotalVolumePerOrderInCCM":{"type":"number","description":"Maximum total volume per order (in cubic centimeters)."},"maxOrderValue":{"type":"number","description":"Maximum order value."}}},"erp-wms-PicklistTemplate.DateRange":{"description":"Selection by a date range.","properties":{"from":{"type":"string","description":"Date from (optionally as a relative date)."},"to":{"type":"string","description":"Date to (optionally as a relative date)."},"allowEmpty":{"type":"boolean","default":true,"description":"The date range may be empty."}}},"erp-wms-PicklistTemplate.PicklistProcessingOptions":{"description":"Options for processing picklists.","properties":{"autoPrintDeliveryDocument":{"type":"boolean","default":false,"description":"Should the delivery documents be printed automatically after the picking is completed?"},"autoPrintShippingLabel":{"type":"boolean","default":false,"description":"Should the parcel labels be printed automatically after the picking is completed?"},"alwaysRequireScanOfStorageBin":{"type":"boolean","default":false,"description":"Storage bins must be recorded despite a predefined value."},"articleScanRequirement":{"type":"string","default":"FREE","description":"Recording condition for articles.","enum":["FREE","SCAN_ONCE","SCAN_ALWAYS"]},"autoDeterminationOfLots":{"type":"boolean","default":false,"description":"Confirm lots automatically when they are predefined or were already recorded during picking."},"hideTargetQuantityInViews":{"type":"boolean","default":false,"description":"Hide the target quantities in the dialogs?"},"allowPickingOfServiceArticles":{"type":"boolean","default":false,"description":"Should services be picked?"},"allowPickingOfNonInventoryManagedArticles":{"type":"boolean","default":false,"description":"Should articles without stock management be picked?"},"allowFullConfirmation":{"type":"boolean","default":false,"description":"Allow collective confirmation."},"deviatingQuantity":{"type":"string","description":"Picking of deviating quantities.","enum":["ALLOW_ONLY_ORDERED_QUANTITY","ALLOW_MINOR_QUANTITY","ALLOW_OVER_DELIVERY","ALLOW_DEVIATING_QUANTITY"]},"assemblyGroupAtOnce":{"type":"boolean","default":false,"description":"Pick assemblies as a whole."},"alwaysShowDeliveryMethod":{"type":"boolean","default":true,"description":"Always show the delivery term in the dialogs."},"showShippingFormOnPickingFinish":{"type":"boolean","default":false,"description":"Show the shipping dialog on completion."},"autoPickingFinishAfterLastArticleInOrder":{"type":"boolean","default":false,"description":"Automatic completion after the last article of the current order."},"useDigitalPicklist":{"type":"boolean","default":false,"description":"Use the digital picklist: only the lines are shown in the frontend and confirmed by tapping or swiping."},"usePickNPack":{"type":"boolean","default":false,"description":"Use pick and pack."},"scanDeliveryDocumentAndShippingLabelOnFinish":{"type":"boolean","default":false,"description":"Only for consolidation: scan the delivery document and the shipping label to complete."},"scanPickTrolleyBoxToConfirmPickedArticle":{"type":"boolean","default":false,"description":"Rolling picking and consolidation: during picking the box has to be confirmed by scanning after an article is scanned."},"blockIfMaximumPackageWeightIsExceeded":{"type":"boolean","default":true,"description":"Block exceeding the maximum parcel weight?"},"useSalesUnit":{"type":"boolean","default":false,"description":"Use the sales unit as the default quantity."},"printLabelOnScan":{"type":"boolean","default":false,"description":"Should the labels be printed automatically during the recording?"},"printLabelOnCompleteOrder":{"type":"boolean","default":false,"description":"Should the labels be printed automatically when the order is completed?"},"printLabelAfterPicking":{"type":"boolean","default":false,"description":"Should the labels be printed automatically when the picking is completed?"},"allowSkipPosition":{"type":"boolean","default":false,"description":"Is skipping lines allowed?"}}},"erp-wms-PicklistTemplate.PicklistScript":{"description":"Picklist script.","properties":{"source":{"type":"string","description":"Script source code."},"active":{"type":"boolean","default":false,"description":"Is the script active?"}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}}}}}
```

## DELETE /wms/picklist-templates/{id}

> Delete an existing Resource

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Picklisten-Vorlagen","description":"Picklist templates."}],"servers":[{"url":"api.example.com"}],"paths":{"/wms/picklist-templates/{id}":{"delete":{"tags":["Picklisten-Vorlagen"],"summary":"Delete an existing Resource","operationId":"delete_4","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}},"404":{"description":"Resource was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"409":{"description":"unable to delete Resource, due to constraints, existing references or internal state","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}}}}}
```

## PUT /wms/picklist-templates/{id}/deactivate

> Deactivate an existing resource

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Picklisten-Vorlagen","description":"Picklist templates."}],"servers":[{"url":"api.example.com"}],"paths":{"/wms/picklist-templates/{id}/deactivate":{"put":{"tags":["Picklisten-Vorlagen"],"summary":"Deactivate an existing resource","operationId":"deactivate_1","parameters":[{"name":"id","in":"path","description":"identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate"}}}},"404":{"description":"Resource was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"422":{"description":"Resource was not valid to process","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-wms-PicklistTemplate":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"picklistCreationOptions":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate.PicklistCreationOptions"},"orderSelectionOptions":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate.OrderSelectionOptions"},"picklistProcessingOptions":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate.PicklistProcessingOptions"},"label":{"type":"string","description":"Template name.","minLength":1},"description":{"type":"string","description":"Template description."},"pickingType":{"type":"string","description":"Picking type.","enum":["FAST_ORDER_PICKING","SINGLE_ORDER_PICKING","COLLECTIVE_ORDER_PICKING","ROLLING_ORDER_PICKING","CONSOLIDATION","REPLENISHMENT","FABRICATION","MISSING_GOODS_PICKING","INCORRECTLY_PICKED_GOODS"]},"defaultTemplate":{"type":"boolean","default":false,"description":"Is this a default template?"},"active":{"type":"boolean","default":true,"description":"Is Template active?","readOnly":true},"picklistScripts":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate.PicklistScript"},"description":"Scripts for creating and processing picklists."}},"required":["label","pickingType"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"erp-wms-PicklistTemplate.PicklistCreationOptions":{"description":"Options for creating picklists.","properties":{"sortByRoutePosition":{"type":"boolean","default":true,"description":"Sort the picklist lines by route position."},"maxPicklistLineCount":{"type":"integer","format":"int64","description":"Maximum number of picklist lines."},"maxQuantityOfOrderLineForFastOrderPicking":{"type":"integer","format":"int64","default":1,"description":"Maximum order line quantity for quick-picking picklists."},"orderPickingTrolleyRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"orderPickingTrolleyGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"useAllAvailOrderPickingTrolleys":{"type":"boolean","default":false,"description":"Should all available pick trolleys be used?"},"cycleToCreatePicklistsCronExpression":{"type":"string","description":"Cycle for creating picklists (for background jobs, as a Quartz cron expression) (https://www.freeformatter.com/cron-expression-generator-quartz.html)."},"specifyStorageBins":{"type":"boolean","default":true,"description":"Predefine the storage bins."},"specifySerialWithOldestExpiryDate":{"type":"boolean","default":false,"description":"For serial articles with an expiry or best-before date: predefine the oldest series in the picklist."},"firstCreateFastOrderPickingPicklists":{"type":"boolean","default":false,"description":"Should picklists for the quick picking be created first?"},"fastOrderPickingTemplateToUseRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"printPicklist":{"type":"boolean","default":false,"description":"Should the picklist be printed?"},"picklistOutputReportGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"printLabelsOnCreation":{"type":"boolean","default":false,"description":"Should the labels be printed automatically after the creation?"}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"erp-wms-PicklistTemplate.OrderSelectionOptions":{"description":"Options for selecting orders.","properties":{"maxOrderCount":{"type":"integer","format":"int64","description":"Only for single picking and consolidation: maximum number of orders to transfer."},"alternativeSelectionInVql":{"type":"string","description":"Alternative selection in VQL."},"additionalExistsStatementsInVql":{"type":"array","description":"Additional exists statements in VQL.","items":{"type":"string","description":"Additional exists statements in VQL."}},"deliveryMethodRefs":{"type":"array","description":"Valid delivery methods.","items":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"allowOnlyDefinedDeliveryMethods":{"type":"boolean","description":"May only valid delivery methods be used?"},"documentTypeRefs":{"type":"array","description":"Document types of the document category \"customer order\".","items":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"documentDateRange":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate.DateRange"},"deliveryDateRange":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate.DateRange"},"confirmedDeliveryDateRange":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate.DateRange"},"onlyFullDeliverableOrders":{"type":"boolean","default":false,"description":"Only fully deliverable orders."},"onlyFullDeliverableOrderLines":{"type":"boolean","default":false,"description":"Only fully deliverable lines."},"storageAreaRefs":{"type":"array","description":"Valid storage areas.","items":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"salesChannelId":{"type":"integer","format":"int64","description":"Identifier of the salesChannel considered in the selection."},"minArticleCountPerOrder":{"type":"integer","format":"int32","description":"Minimum number of articles per order."},"maxArticleCountPerOrder":{"type":"integer","format":"int32","description":"Maximum number of articles per order."},"maxShippingWeightPerOrder":{"type":"number","description":"Maximum shipping weight per order."},"maxTotalVolumePerOrderInCCM":{"type":"number","description":"Maximum total volume per order (in cubic centimeters)."},"maxOrderValue":{"type":"number","description":"Maximum order value."}}},"erp-wms-PicklistTemplate.DateRange":{"description":"Selection by a date range.","properties":{"from":{"type":"string","description":"Date from (optionally as a relative date)."},"to":{"type":"string","description":"Date to (optionally as a relative date)."},"allowEmpty":{"type":"boolean","default":true,"description":"The date range may be empty."}}},"erp-wms-PicklistTemplate.PicklistProcessingOptions":{"description":"Options for processing picklists.","properties":{"autoPrintDeliveryDocument":{"type":"boolean","default":false,"description":"Should the delivery documents be printed automatically after the picking is completed?"},"autoPrintShippingLabel":{"type":"boolean","default":false,"description":"Should the parcel labels be printed automatically after the picking is completed?"},"alwaysRequireScanOfStorageBin":{"type":"boolean","default":false,"description":"Storage bins must be recorded despite a predefined value."},"articleScanRequirement":{"type":"string","default":"FREE","description":"Recording condition for articles.","enum":["FREE","SCAN_ONCE","SCAN_ALWAYS"]},"autoDeterminationOfLots":{"type":"boolean","default":false,"description":"Confirm lots automatically when they are predefined or were already recorded during picking."},"hideTargetQuantityInViews":{"type":"boolean","default":false,"description":"Hide the target quantities in the dialogs?"},"allowPickingOfServiceArticles":{"type":"boolean","default":false,"description":"Should services be picked?"},"allowPickingOfNonInventoryManagedArticles":{"type":"boolean","default":false,"description":"Should articles without stock management be picked?"},"allowFullConfirmation":{"type":"boolean","default":false,"description":"Allow collective confirmation."},"deviatingQuantity":{"type":"string","description":"Picking of deviating quantities.","enum":["ALLOW_ONLY_ORDERED_QUANTITY","ALLOW_MINOR_QUANTITY","ALLOW_OVER_DELIVERY","ALLOW_DEVIATING_QUANTITY"]},"assemblyGroupAtOnce":{"type":"boolean","default":false,"description":"Pick assemblies as a whole."},"alwaysShowDeliveryMethod":{"type":"boolean","default":true,"description":"Always show the delivery term in the dialogs."},"showShippingFormOnPickingFinish":{"type":"boolean","default":false,"description":"Show the shipping dialog on completion."},"autoPickingFinishAfterLastArticleInOrder":{"type":"boolean","default":false,"description":"Automatic completion after the last article of the current order."},"useDigitalPicklist":{"type":"boolean","default":false,"description":"Use the digital picklist: only the lines are shown in the frontend and confirmed by tapping or swiping."},"usePickNPack":{"type":"boolean","default":false,"description":"Use pick and pack."},"scanDeliveryDocumentAndShippingLabelOnFinish":{"type":"boolean","default":false,"description":"Only for consolidation: scan the delivery document and the shipping label to complete."},"scanPickTrolleyBoxToConfirmPickedArticle":{"type":"boolean","default":false,"description":"Rolling picking and consolidation: during picking the box has to be confirmed by scanning after an article is scanned."},"blockIfMaximumPackageWeightIsExceeded":{"type":"boolean","default":true,"description":"Block exceeding the maximum parcel weight?"},"useSalesUnit":{"type":"boolean","default":false,"description":"Use the sales unit as the default quantity."},"printLabelOnScan":{"type":"boolean","default":false,"description":"Should the labels be printed automatically during the recording?"},"printLabelOnCompleteOrder":{"type":"boolean","default":false,"description":"Should the labels be printed automatically when the order is completed?"},"printLabelAfterPicking":{"type":"boolean","default":false,"description":"Should the labels be printed automatically when the picking is completed?"},"allowSkipPosition":{"type":"boolean","default":false,"description":"Is skipping lines allowed?"}}},"erp-wms-PicklistTemplate.PicklistScript":{"description":"Picklist script.","properties":{"source":{"type":"string","description":"Script source code."},"active":{"type":"boolean","default":false,"description":"Is the script active?"}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}}}}}
```

## PUT /wms/picklist-templates/{id}/activate

> Activate an existing resource

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Picklisten-Vorlagen","description":"Picklist templates."}],"servers":[{"url":"api.example.com"}],"paths":{"/wms/picklist-templates/{id}/activate":{"put":{"tags":["Picklisten-Vorlagen"],"summary":"Activate an existing resource","operationId":"activate_1","parameters":[{"name":"id","in":"path","description":"identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate"}}}},"404":{"description":"Resource was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"422":{"description":"Resource was not valid to process","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-wms-PicklistTemplate":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"picklistCreationOptions":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate.PicklistCreationOptions"},"orderSelectionOptions":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate.OrderSelectionOptions"},"picklistProcessingOptions":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate.PicklistProcessingOptions"},"label":{"type":"string","description":"Template name.","minLength":1},"description":{"type":"string","description":"Template description."},"pickingType":{"type":"string","description":"Picking type.","enum":["FAST_ORDER_PICKING","SINGLE_ORDER_PICKING","COLLECTIVE_ORDER_PICKING","ROLLING_ORDER_PICKING","CONSOLIDATION","REPLENISHMENT","FABRICATION","MISSING_GOODS_PICKING","INCORRECTLY_PICKED_GOODS"]},"defaultTemplate":{"type":"boolean","default":false,"description":"Is this a default template?"},"active":{"type":"boolean","default":true,"description":"Is Template active?","readOnly":true},"picklistScripts":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate.PicklistScript"},"description":"Scripts for creating and processing picklists."}},"required":["label","pickingType"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"erp-wms-PicklistTemplate.PicklistCreationOptions":{"description":"Options for creating picklists.","properties":{"sortByRoutePosition":{"type":"boolean","default":true,"description":"Sort the picklist lines by route position."},"maxPicklistLineCount":{"type":"integer","format":"int64","description":"Maximum number of picklist lines."},"maxQuantityOfOrderLineForFastOrderPicking":{"type":"integer","format":"int64","default":1,"description":"Maximum order line quantity for quick-picking picklists."},"orderPickingTrolleyRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"orderPickingTrolleyGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"useAllAvailOrderPickingTrolleys":{"type":"boolean","default":false,"description":"Should all available pick trolleys be used?"},"cycleToCreatePicklistsCronExpression":{"type":"string","description":"Cycle for creating picklists (for background jobs, as a Quartz cron expression) (https://www.freeformatter.com/cron-expression-generator-quartz.html)."},"specifyStorageBins":{"type":"boolean","default":true,"description":"Predefine the storage bins."},"specifySerialWithOldestExpiryDate":{"type":"boolean","default":false,"description":"For serial articles with an expiry or best-before date: predefine the oldest series in the picklist."},"firstCreateFastOrderPickingPicklists":{"type":"boolean","default":false,"description":"Should picklists for the quick picking be created first?"},"fastOrderPickingTemplateToUseRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"printPicklist":{"type":"boolean","default":false,"description":"Should the picklist be printed?"},"picklistOutputReportGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"printLabelsOnCreation":{"type":"boolean","default":false,"description":"Should the labels be printed automatically after the creation?"}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"erp-wms-PicklistTemplate.OrderSelectionOptions":{"description":"Options for selecting orders.","properties":{"maxOrderCount":{"type":"integer","format":"int64","description":"Only for single picking and consolidation: maximum number of orders to transfer."},"alternativeSelectionInVql":{"type":"string","description":"Alternative selection in VQL."},"additionalExistsStatementsInVql":{"type":"array","description":"Additional exists statements in VQL.","items":{"type":"string","description":"Additional exists statements in VQL."}},"deliveryMethodRefs":{"type":"array","description":"Valid delivery methods.","items":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"allowOnlyDefinedDeliveryMethods":{"type":"boolean","description":"May only valid delivery methods be used?"},"documentTypeRefs":{"type":"array","description":"Document types of the document category \"customer order\".","items":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"documentDateRange":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate.DateRange"},"deliveryDateRange":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate.DateRange"},"confirmedDeliveryDateRange":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate.DateRange"},"onlyFullDeliverableOrders":{"type":"boolean","default":false,"description":"Only fully deliverable orders."},"onlyFullDeliverableOrderLines":{"type":"boolean","default":false,"description":"Only fully deliverable lines."},"storageAreaRefs":{"type":"array","description":"Valid storage areas.","items":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"salesChannelId":{"type":"integer","format":"int64","description":"Identifier of the salesChannel considered in the selection."},"minArticleCountPerOrder":{"type":"integer","format":"int32","description":"Minimum number of articles per order."},"maxArticleCountPerOrder":{"type":"integer","format":"int32","description":"Maximum number of articles per order."},"maxShippingWeightPerOrder":{"type":"number","description":"Maximum shipping weight per order."},"maxTotalVolumePerOrderInCCM":{"type":"number","description":"Maximum total volume per order (in cubic centimeters)."},"maxOrderValue":{"type":"number","description":"Maximum order value."}}},"erp-wms-PicklistTemplate.DateRange":{"description":"Selection by a date range.","properties":{"from":{"type":"string","description":"Date from (optionally as a relative date)."},"to":{"type":"string","description":"Date to (optionally as a relative date)."},"allowEmpty":{"type":"boolean","default":true,"description":"The date range may be empty."}}},"erp-wms-PicklistTemplate.PicklistProcessingOptions":{"description":"Options for processing picklists.","properties":{"autoPrintDeliveryDocument":{"type":"boolean","default":false,"description":"Should the delivery documents be printed automatically after the picking is completed?"},"autoPrintShippingLabel":{"type":"boolean","default":false,"description":"Should the parcel labels be printed automatically after the picking is completed?"},"alwaysRequireScanOfStorageBin":{"type":"boolean","default":false,"description":"Storage bins must be recorded despite a predefined value."},"articleScanRequirement":{"type":"string","default":"FREE","description":"Recording condition for articles.","enum":["FREE","SCAN_ONCE","SCAN_ALWAYS"]},"autoDeterminationOfLots":{"type":"boolean","default":false,"description":"Confirm lots automatically when they are predefined or were already recorded during picking."},"hideTargetQuantityInViews":{"type":"boolean","default":false,"description":"Hide the target quantities in the dialogs?"},"allowPickingOfServiceArticles":{"type":"boolean","default":false,"description":"Should services be picked?"},"allowPickingOfNonInventoryManagedArticles":{"type":"boolean","default":false,"description":"Should articles without stock management be picked?"},"allowFullConfirmation":{"type":"boolean","default":false,"description":"Allow collective confirmation."},"deviatingQuantity":{"type":"string","description":"Picking of deviating quantities.","enum":["ALLOW_ONLY_ORDERED_QUANTITY","ALLOW_MINOR_QUANTITY","ALLOW_OVER_DELIVERY","ALLOW_DEVIATING_QUANTITY"]},"assemblyGroupAtOnce":{"type":"boolean","default":false,"description":"Pick assemblies as a whole."},"alwaysShowDeliveryMethod":{"type":"boolean","default":true,"description":"Always show the delivery term in the dialogs."},"showShippingFormOnPickingFinish":{"type":"boolean","default":false,"description":"Show the shipping dialog on completion."},"autoPickingFinishAfterLastArticleInOrder":{"type":"boolean","default":false,"description":"Automatic completion after the last article of the current order."},"useDigitalPicklist":{"type":"boolean","default":false,"description":"Use the digital picklist: only the lines are shown in the frontend and confirmed by tapping or swiping."},"usePickNPack":{"type":"boolean","default":false,"description":"Use pick and pack."},"scanDeliveryDocumentAndShippingLabelOnFinish":{"type":"boolean","default":false,"description":"Only for consolidation: scan the delivery document and the shipping label to complete."},"scanPickTrolleyBoxToConfirmPickedArticle":{"type":"boolean","default":false,"description":"Rolling picking and consolidation: during picking the box has to be confirmed by scanning after an article is scanned."},"blockIfMaximumPackageWeightIsExceeded":{"type":"boolean","default":true,"description":"Block exceeding the maximum parcel weight?"},"useSalesUnit":{"type":"boolean","default":false,"description":"Use the sales unit as the default quantity."},"printLabelOnScan":{"type":"boolean","default":false,"description":"Should the labels be printed automatically during the recording?"},"printLabelOnCompleteOrder":{"type":"boolean","default":false,"description":"Should the labels be printed automatically when the order is completed?"},"printLabelAfterPicking":{"type":"boolean","default":false,"description":"Should the labels be printed automatically when the picking is completed?"},"allowSkipPosition":{"type":"boolean","default":false,"description":"Is skipping lines allowed?"}}},"erp-wms-PicklistTemplate.PicklistScript":{"description":"Picklist script.","properties":{"source":{"type":"string","description":"Script source code."},"active":{"type":"boolean","default":false,"description":"Is the script active?"}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}}}}}
```

## POST /wms/picklist-templates

> Create new Resource

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Picklisten-Vorlagen","description":"Picklist templates."}],"servers":[{"url":"api.example.com"}],"paths":{"/wms/picklist-templates":{"post":{"tags":["Picklisten-Vorlagen"],"summary":"Create new Resource","operationId":"create_3","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate"}}}},"422":{"description":"Resource was not valid to process","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-wms-PicklistTemplate":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"picklistCreationOptions":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate.PicklistCreationOptions"},"orderSelectionOptions":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate.OrderSelectionOptions"},"picklistProcessingOptions":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate.PicklistProcessingOptions"},"label":{"type":"string","description":"Template name.","minLength":1},"description":{"type":"string","description":"Template description."},"pickingType":{"type":"string","description":"Picking type.","enum":["FAST_ORDER_PICKING","SINGLE_ORDER_PICKING","COLLECTIVE_ORDER_PICKING","ROLLING_ORDER_PICKING","CONSOLIDATION","REPLENISHMENT","FABRICATION","MISSING_GOODS_PICKING","INCORRECTLY_PICKED_GOODS"]},"defaultTemplate":{"type":"boolean","default":false,"description":"Is this a default template?"},"active":{"type":"boolean","default":true,"description":"Is Template active?","readOnly":true},"picklistScripts":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate.PicklistScript"},"description":"Scripts for creating and processing picklists."}},"required":["label","pickingType"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"erp-wms-PicklistTemplate.PicklistCreationOptions":{"description":"Options for creating picklists.","properties":{"sortByRoutePosition":{"type":"boolean","default":true,"description":"Sort the picklist lines by route position."},"maxPicklistLineCount":{"type":"integer","format":"int64","description":"Maximum number of picklist lines."},"maxQuantityOfOrderLineForFastOrderPicking":{"type":"integer","format":"int64","default":1,"description":"Maximum order line quantity for quick-picking picklists."},"orderPickingTrolleyRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"orderPickingTrolleyGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"useAllAvailOrderPickingTrolleys":{"type":"boolean","default":false,"description":"Should all available pick trolleys be used?"},"cycleToCreatePicklistsCronExpression":{"type":"string","description":"Cycle for creating picklists (for background jobs, as a Quartz cron expression) (https://www.freeformatter.com/cron-expression-generator-quartz.html)."},"specifyStorageBins":{"type":"boolean","default":true,"description":"Predefine the storage bins."},"specifySerialWithOldestExpiryDate":{"type":"boolean","default":false,"description":"For serial articles with an expiry or best-before date: predefine the oldest series in the picklist."},"firstCreateFastOrderPickingPicklists":{"type":"boolean","default":false,"description":"Should picklists for the quick picking be created first?"},"fastOrderPickingTemplateToUseRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"printPicklist":{"type":"boolean","default":false,"description":"Should the picklist be printed?"},"picklistOutputReportGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"printLabelsOnCreation":{"type":"boolean","default":false,"description":"Should the labels be printed automatically after the creation?"}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"erp-wms-PicklistTemplate.OrderSelectionOptions":{"description":"Options for selecting orders.","properties":{"maxOrderCount":{"type":"integer","format":"int64","description":"Only for single picking and consolidation: maximum number of orders to transfer."},"alternativeSelectionInVql":{"type":"string","description":"Alternative selection in VQL."},"additionalExistsStatementsInVql":{"type":"array","description":"Additional exists statements in VQL.","items":{"type":"string","description":"Additional exists statements in VQL."}},"deliveryMethodRefs":{"type":"array","description":"Valid delivery methods.","items":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"allowOnlyDefinedDeliveryMethods":{"type":"boolean","description":"May only valid delivery methods be used?"},"documentTypeRefs":{"type":"array","description":"Document types of the document category \"customer order\".","items":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"documentDateRange":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate.DateRange"},"deliveryDateRange":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate.DateRange"},"confirmedDeliveryDateRange":{"$ref":"#/components/schemas/erp-wms-PicklistTemplate.DateRange"},"onlyFullDeliverableOrders":{"type":"boolean","default":false,"description":"Only fully deliverable orders."},"onlyFullDeliverableOrderLines":{"type":"boolean","default":false,"description":"Only fully deliverable lines."},"storageAreaRefs":{"type":"array","description":"Valid storage areas.","items":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"salesChannelId":{"type":"integer","format":"int64","description":"Identifier of the salesChannel considered in the selection."},"minArticleCountPerOrder":{"type":"integer","format":"int32","description":"Minimum number of articles per order."},"maxArticleCountPerOrder":{"type":"integer","format":"int32","description":"Maximum number of articles per order."},"maxShippingWeightPerOrder":{"type":"number","description":"Maximum shipping weight per order."},"maxTotalVolumePerOrderInCCM":{"type":"number","description":"Maximum total volume per order (in cubic centimeters)."},"maxOrderValue":{"type":"number","description":"Maximum order value."}}},"erp-wms-PicklistTemplate.DateRange":{"description":"Selection by a date range.","properties":{"from":{"type":"string","description":"Date from (optionally as a relative date)."},"to":{"type":"string","description":"Date to (optionally as a relative date)."},"allowEmpty":{"type":"boolean","default":true,"description":"The date range may be empty."}}},"erp-wms-PicklistTemplate.PicklistProcessingOptions":{"description":"Options for processing picklists.","properties":{"autoPrintDeliveryDocument":{"type":"boolean","default":false,"description":"Should the delivery documents be printed automatically after the picking is completed?"},"autoPrintShippingLabel":{"type":"boolean","default":false,"description":"Should the parcel labels be printed automatically after the picking is completed?"},"alwaysRequireScanOfStorageBin":{"type":"boolean","default":false,"description":"Storage bins must be recorded despite a predefined value."},"articleScanRequirement":{"type":"string","default":"FREE","description":"Recording condition for articles.","enum":["FREE","SCAN_ONCE","SCAN_ALWAYS"]},"autoDeterminationOfLots":{"type":"boolean","default":false,"description":"Confirm lots automatically when they are predefined or were already recorded during picking."},"hideTargetQuantityInViews":{"type":"boolean","default":false,"description":"Hide the target quantities in the dialogs?"},"allowPickingOfServiceArticles":{"type":"boolean","default":false,"description":"Should services be picked?"},"allowPickingOfNonInventoryManagedArticles":{"type":"boolean","default":false,"description":"Should articles without stock management be picked?"},"allowFullConfirmation":{"type":"boolean","default":false,"description":"Allow collective confirmation."},"deviatingQuantity":{"type":"string","description":"Picking of deviating quantities.","enum":["ALLOW_ONLY_ORDERED_QUANTITY","ALLOW_MINOR_QUANTITY","ALLOW_OVER_DELIVERY","ALLOW_DEVIATING_QUANTITY"]},"assemblyGroupAtOnce":{"type":"boolean","default":false,"description":"Pick assemblies as a whole."},"alwaysShowDeliveryMethod":{"type":"boolean","default":true,"description":"Always show the delivery term in the dialogs."},"showShippingFormOnPickingFinish":{"type":"boolean","default":false,"description":"Show the shipping dialog on completion."},"autoPickingFinishAfterLastArticleInOrder":{"type":"boolean","default":false,"description":"Automatic completion after the last article of the current order."},"useDigitalPicklist":{"type":"boolean","default":false,"description":"Use the digital picklist: only the lines are shown in the frontend and confirmed by tapping or swiping."},"usePickNPack":{"type":"boolean","default":false,"description":"Use pick and pack."},"scanDeliveryDocumentAndShippingLabelOnFinish":{"type":"boolean","default":false,"description":"Only for consolidation: scan the delivery document and the shipping label to complete."},"scanPickTrolleyBoxToConfirmPickedArticle":{"type":"boolean","default":false,"description":"Rolling picking and consolidation: during picking the box has to be confirmed by scanning after an article is scanned."},"blockIfMaximumPackageWeightIsExceeded":{"type":"boolean","default":true,"description":"Block exceeding the maximum parcel weight?"},"useSalesUnit":{"type":"boolean","default":false,"description":"Use the sales unit as the default quantity."},"printLabelOnScan":{"type":"boolean","default":false,"description":"Should the labels be printed automatically during the recording?"},"printLabelOnCompleteOrder":{"type":"boolean","default":false,"description":"Should the labels be printed automatically when the order is completed?"},"printLabelAfterPicking":{"type":"boolean","default":false,"description":"Should the labels be printed automatically when the picking is completed?"},"allowSkipPosition":{"type":"boolean","default":false,"description":"Is skipping lines allowed?"}}},"erp-wms-PicklistTemplate.PicklistScript":{"description":"Picklist script.","properties":{"source":{"type":"string","description":"Script source code."},"active":{"type":"boolean","default":false,"description":"Is the script active?"}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.vario-software.de/api-reference/picklisten-vorlagen.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
